@echo off
if exist %1.in goto within
..\mfl %1 >tst.out
fc tst.out %1.out
if "%2" == "" goto end
..\mfl %1 c >tst.slm
slimi tst.slm >tst.out
fc tst.out %1.out
goto end
:within
..\mfl %1 <%1.in >tst.out
fc tst.out %1.out
..\mfl %1 c >tst.slm
slimi tst.slm <%1.in >tst.out
fc tst.out %1.out
:end
